Package org.opentcs.drivers.vehicle.management

# Class ProcessModelEvent

java.lang.Object
org.opentcs.drivers.vehicle.management.CommAdapterEvent
org.opentcs.drivers.vehicle.management.ProcessModelEvent

All Implemented Interfaces:
  `java.io.Serializable`, `LowLevelCommunicationEvent`

    public class ProcessModelEvent
    extends CommAdapterEvent
    implements java.io.Serializable

Instances of this class represent events emitted by/for changes on `VehicleProcessModel`s.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ProcessModelEvent​(java.lang.String attributeChanged, VehicleProcessModelTO updatedProcessModel)` | Creates a new instance.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAttributeChanged()` | Returns the attribute's name that changed in the process model.
  `VehicleProcessModelTO` | `getUpdatedProcessModel()` | Returns a serializable representation of the corresponding process model.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProcessModelEvent

    public ProcessModelEvent​(@Nonnull java.lang.String attributeChanged, @Nonnull VehicleProcessModelTO updatedProcessModel)
    Creates a new instance.
    Parameters:
      `attributeChanged` - The attribute's name that changed.
      `updatedProcessModel` - A serializable representation of the corresponding process model.

- ## Method Details

  - ### getAttributeChanged

    public java.lang.String getAttributeChanged()
    Returns the attribute's name that changed in the process model.
    Returns:
      The attribute's name that changed in the process model.

  - ### getUpdatedProcessModel

    public VehicleProcessModelTO getUpdatedProcessModel()
    Returns a serializable representation of the corresponding process model.
    Returns:
      A serializable representation of the corresponding process model.